package com.bocloud.cmp.model.azure.slb;

/**
 * @ClassName: LoadBalancingRule
 * @Description:负载均衡规则
 * @author: zhenpingLi/李振平
 */
public class LoadBalanceRuleModel {

    private String uuid;
    private String name;//名称
    private String slbUuid; //负载均衡uuid
    private String frontEndUuid;//前端ip配置Uuid
    private String frontEndName;//前端ip配置名称
    private String backEndUuid;//后端池Uuid;
    private String backEndName;//后端池名称
    private String probeUuid;//运行状况探测Uuid;
    private String probeName;//运行状况探测名称;
    private Integer frontEndPort;//前端端口
    private Integer backEndPort;//后端端口
    private String loadDistribution;//会话持续性
    private Integer idleTimeoutInMinutes;//空闲超时（分钟）
    private Boolean floatingIpEnabled;//浮动IP（禁用/起用）
    private String protocol;//协议

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSlbUuid() {
        return slbUuid;
    }

    public void setSlbUuid(String slbUuid) {
        this.slbUuid = slbUuid;
    }

    public String getFrontEndUuid() {
        return frontEndUuid;
    }

    public void setFrontEndUuid(String frontEndUuid) {
        this.frontEndUuid = frontEndUuid;
    }

    public String getBackEndUuid() {
        return backEndUuid;
    }

    public void setBackEndUuid(String backEndUuid) {
        this.backEndUuid = backEndUuid;
    }

    public String getProbeUuid() {
        return probeUuid;
    }

    public void setProbeUuid(String probeUuid) {
        this.probeUuid = probeUuid;
    }

    public Integer getFrontEndPort() {
        return frontEndPort;
    }

    public void setFrontEndPort(Integer frontEndPort) {
        this.frontEndPort = frontEndPort;
    }

    public Integer getBackEndPort() {
        return backEndPort;
    }

    public void setBackEndPort(Integer backEndPort) {
        this.backEndPort = backEndPort;
    }

    public String getLoadDistribution() {
        return loadDistribution;
    }

    public void setLoadDistribution(String loadDistribution) {
        this.loadDistribution = loadDistribution;
    }

    public Integer getIdleTimeoutInMinutes() {
        return idleTimeoutInMinutes;
    }

    public void setIdleTimeoutInMinutes(Integer idleTimeoutInMinutes) {
        this.idleTimeoutInMinutes = idleTimeoutInMinutes;
    }

    public Boolean getFloatingIpEnabled() {
        return floatingIpEnabled;
    }

    public void setFloatingIpEnabled(Boolean floatingIpEnabled) {
        this.floatingIpEnabled = floatingIpEnabled;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getFrontEndName() {
        return frontEndName;
    }

    public void setFrontEndName(String frontEndName) {
        this.frontEndName = frontEndName;
    }

    public String getBackEndName() {
        return backEndName;
    }

    public void setBackEndName(String backEndName) {
        this.backEndName = backEndName;
    }

    public String getProbeName() {
        return probeName;
    }

    public void setProbeName(String probeName) {
        this.probeName = probeName;
    }
}